/***************************************************************/
/* DISPLAY INPUT                                               */
/*                                                             */
/* Illustrates the basics of GUI interaction.                  */
/* Displays a text ENTRY box, writes back the user's input by  */
/* displaying it in a MESSAGE box.                             */
/***************************************************************/

/* trap errors for HALT/SYNTAX/ERROR, ask for ERROR raising    */

signal on halt
signal on syntax
signal on error
call RxErr 'ERROR|DISPLAY'    /* displays error messages       */


/* set values for the Text Entry box window                    */

Rx = ''                       /* "RX" will be our Window ID    */

RxType.1  = 'MENU'            /* group type is MENU for a menu */ 
RxFlags.1 = ''
RxLabel.1 = 'MENU'

RxType.2  = 'ENTRY'           /* establish the ENTRY box       */
RxFlags.2 = 'REPORT'          /* through which the user will   */
RxLabel.2 = 'Enter text:|'    /* enter some text               */
RxPos.2   = '-1 5 5 150'
RxVal.2   = 'text'


/* now create the window (NOCLOSE keeps this window open)      */

call RxCreate 'RX', 2, 'Main Window', 'NOCLOSE'

do forever

   call RxMsg                 /* invokes user interaction      */

   if RxID == '' then signal halt /* exit if users clicks CLOSE*/

   /* display the text the user enters in the ENTRY text box   */

   if RxID == '2' then
      button = RxSay(text.1,'OK','You entered...')

end


syntax:                       /* handle errors here.           */
halt:                         /* RxErr with DISPLAY option     */
error:                        /* displays a nice error msg box */
 
    call RxMsg,'END'          /* close ENTRY box window, exit  */
    exit