/**********************************************************************/
/* POOLREAD                                                           */
/*                                                                    */
/* Reads random-access pool file records to display to the user.      */
/**********************************************************************/

in_hnd = open('poolfile','rb')              /* open binary input file */ 

recsize = 30                                /* size of 1 file record  */
filesize = seek(in_hnd,0,"EOF")             /* returns file size      */
input_limit = filesize - recsize            /* calculate last record  */

say ' '
call charout ,"Enter Pool Pass Number: "    /* get the user's request */
pull pass_number .

do while pass_number <> 'EXIT'

   position = ((pass_number-1) * recsize)  /* read record at POSITION */

   if position > input_limit               /* POSITION > last record  */
      then say 'That Pool Pass number is not assigned.'

   else do 
      call seek in_hnd,position            /* position to the record  */
      in_record = read(in_hnd,recsize)     /* read user's pool record */

      sep = ','                            /* parse & display record  */
      parse value in_record with first_name (sep) ,
                  last_name (sep) phone_number     
      say ' '
      say 'Pass Number:' pass_number         
      say 'Person     :' first_name last_name   /* display the record */
      say 'Phone      :' phone_number     
   end

   say ' '
   call charout ,"Enter Pool Pass Number: "     /* get user's request */
   pull pass_number .
end

call close in_hnd
exit 0
