/*  VERIFY ARGUMENTS:                                                */
/*                                                                   */
/*     This program verifies 4 input arguments by several criteria.  */

parse arg  first  second  third  fourth  .      /* get the arguments */

/* First parm must be a valid abbreviation for TESTSTRING            */

if abbrev('TESTSTRING',first,4) = 0 then
   say 'First parm must be a valid abbreviation for TESTSTRING:' first

/* Second parm must consist only of digits and be under 5 bytes long */

if datatype(second) \= 'NUM' then
   say 'Second parm must be numeric:' second
if length(second) > 4 then
   say 'Second parm must be under 5 bytes in length:' second

/* Third parm must occur as a substring somewhere in the first parm  */

if pos(third,first) = 0 then
   say 'Third parm must occur within the first:' third first
 
/* Fourth parm translated to uppercase must contain only letters ABC */

if fourth = '' then 
   say 'You must enter a fourth parameter, none was entered'
uppercase = translate(fourth)     /* translate 4th parm to uppercase */
if verify(uppercase,'ABC') > 0 then
   say 'Fourth parm in uppercase contains letters other than ABC:' fourth

